# GetAutotradeActiveOrders

Request the Working orders of the Account. Non-paginated endpoint.

Endpoint: GET /Autotrade/GetAutotradeActiveOrders
Version: v4
Security: 

## Query parameters:

  - `Account` (string, required)
    The Brokerage Account

  - `PersonId` (integer,null, required)
    The PersonId owning the account

  - `StrategyId` (integer,null)
    (Optional) StrategyId filter

## Response 200 fields (application/json):

  - `Results` (array,null)
    Result array

  - `Results.Id` (integer)
    The row ID. Read-only. Only present in response

  - `Results.OrderId` (string,null)
    The OrderId. Only required in NewAutotradeOrder and ReplaceAutotradeOrder endpoints

  - `Results.StrategyId` (integer,null)
    The C2 StrategyId

  - `Results.StrategyName` (string,null)
    The C2 Strategy name. Read-only. Only present in response

  - `Results.SignalId` (integer,null)
    Only required in ReplaceAutotradeOrder endpoint. The C2 SignalId

  - `Results.AvgPx` (number,null)
    The order average fill price

  - `Results.OrderType` (string,null)
    '1' = Market, '2' = Limit, '3' = Stop
    Enum: "1", "2", "3"

  - `Results.Side` (string,null)
    '1' = Buy, '2' = Sell
    Enum: "1", "2"

  - `Results.OpenClose` (string,null)
    Only required in ReplaceAutotradeOrder endpoint. 'O' = Open, 'C' = Close
    Enum: "O", "C"

  - `Results.OrderQuantity` (number,null)
    The unsigned order quantity

  - `Results.Limit` (number,null)
    The C2-formatted Limit Price

  - `Results.Stop` (number,null)
    The C2-formatted Stop Price

  - `Results.TIF` (string,null)
    The time in force. 0 = Day, 1 = Good Till Cancel (GTC)
    Enum: "0", "1"

  - `Results.ProfitTarget` (number,null)
    Only available in NewStrategyOrder endpoint. The C2-formatted Price at which to place a exit conditional order

  - `Results.StopLoss` (number,null)
    Only available in NewStrategyOrder endpoint. The C2-formatted Price at which to place a exit conditional order

  - `Results.DoNotCreateOCAGroup` (boolean,null)
    Only available in NewStrategyOrder endpoint. Default is false. Used to indicate the ProfitTarget and StopLoss orders should not be added to a OCA group. Each exit order will be managed separately

  - `Results.CancelReplaceSignalId` (integer,null)
    Used to specify that this order replaces another

  - `Results.ParentSignalId` (integer,null)
    Used to specify that this order is conditional (a child) on another

  - `Results.ParkedUntilDate` (string,null)
    The New-York date/time when the signal should be released. Applies only to Strategy signals

  - `Results.DoNotSyncToOpen` (boolean,null)
    Used to indicate this order should not be synched in the brokerage account. Only applies to Opening non-market orders

  - `Results.C2Symbol` (object)

  - `Results.C2Symbol.FullSymbol` (string,null)
    The full native C2 symbol e.g. BSRR2121Q22.5

  - `Results.C2Symbol.SymbolType` (string,null)
    The type of instrument. e.g. 'stock', 'option', 'future', 'forex'

  - `Results.C2Symbol.Underlying` (string,null)
    Option Underlying symbol. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.Expiry` (string,null)
    Option expiry. Format is 'May21'. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.PutOrCall` (string,null)
    Option 'put' or 'call'. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.StrikePrice` (number,null)
    Option strike price. Read-only value sent in responses. It is ignored in requests.

  - `Results.C2Symbol.Description` (string,null)
    (optional) Instrument description. Read-only value sent in responses. It is ignored in requests.

  - `Results.ExchangeSymbol` (object)

  - `Results.ExchangeSymbol.Symbol` (string,null)
    The exchange root symbol e.g. AAPL

  - `Results.ExchangeSymbol.Currency` (string,null)
    The 3-character ISO instrument currency. E.g. 'USD'

  - `Results.ExchangeSymbol.SecurityExchange` (string,null)
    The MIC Exchange code. Set to DEFAULT for stocks, forex & options. For Futures, valid values are: XCME, XEUR, XICE, XLIF, XNYB, XNYM, XASX, XCBF, XCBT, XCEC, XKBT, XSES. See details at http://www.iso15022.org/MIC/homepageMIC.htm

  - `Results.ExchangeSymbol.SecurityType` (string,null)
    The SecurityType e.g. 'CS', 'FUT', 'OPT', 'FOR'

  - `Results.ExchangeSymbol.MaturityMonthYear` (string,null)
    The MaturityMonthYear e.g. '202503' (March 2025), or if the contract requires a day: '20210521' (May 21, 2025)

  - `Results.ExchangeSymbol.PutOrCall` (integer,null)
    The Option PutOrCall e.g. 0 = Put, 1 = Call

  - `Results.ExchangeSymbol.StrikePrice` (number,null)
    The ISO Option Strike Price. Zero means none

  - `Results.ExchangeSymbol.PriceMultiplier` (number,null)
    The multiplier to apply to the Exchange price to get the C2-formatted price. Read-only value sent in responses. It is ignored in requests.

  - `Results.RejectMessage` (string,null)
    The order rejection message. Only available in response when OrderStatus = '8' (Rejected)

  - `Results.BrokerId` (integer,null)
    BrokerId

  - `Results.OrderStatus` (string,null)
    'A' = PendingNew, '0' = Working, '1' = Partially filled, '2' = Filled, '4' = Canceled, '5' = Replaced, '6' = Pending Cancel, '8' = Rejected, 'C' = Expired, 'E' = Pending Replace

  - `Results.FilledQuantity` (number,null)
    The unsigned quantity filled

  - `Results.AvgFillPrice` (number,null)
    The average fill price, if FilledQuantity > 0

  - `Results.PostedDate` (string,null)
    UTC DateTime when the order was posted

  - `Results.SignalType` (integer)
    The type of signal. 1 = StrategySignal, 4 = ManualSignal, 5 = StrategySignalManualOverride, 6 = AutoStopLoss

  - `Results.Info` (string,null)
    Detailed information about the order, if available

  - `ResponseStatus` (object)

  - `ResponseStatus.ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `ResponseStatus.Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `ResponseStatus.Errors` (array,null)

  - `ResponseStatus.Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `ResponseStatus.Errors.FieldName` (string,null)
    The affected parameter.

  - `ResponseStatus.Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 400 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 401 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 403 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 404 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 406 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 409 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 429 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 500 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 503 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.


## Response 304 fields
